# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Class JXG.Complex

↳ JXG.Complex

This class is for calculating with complex numbers.
Defined in: Complex.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Complex(x, y) Creates a new complex number.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| absval Absolute value in the polar form of the complex number.
| angle Angle value in the polar form of the complex number.
| imaginary Imaginary part of the complex number.
<private> | isComplex This property is only to signalize that this object is of type JXG.Complex.
| real Real part of the complex number.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(c) Add another complex number to this complex number.
| conj(c) Conjugate a complex number in place.
| div(c) Divide this complex number by the given complex number.
| mult(c) Multiply another complex number to this complex number.
| sub(c) Subtract another complex number from this complex number.
| toString() Converts a complex number into a string.

Class Detail
JXG.Complex(x, y)
Creates a new complex number.

Parameters:
{number} x Optional, Default: 0
  Real part of the resulting complex number.
{number} y Optional, Default: 0
  Imaginary part of the resulting complex number.

Returns:
  An object representing the complex number `x + iy`.

Field Detail
{number} absval
Absolute value in the polar form of the complex number. Currently unused.

{number} angle
Angle value in the polar form of the complex number. Currently unused.

{number} imaginary
Imaginary part of the complex number.

Default Value:
  0

<private> {boolean} isComplex
This property is only to signalize that this object is of type JXG.Complex. Only used internally to distinguish between normal JavaScript numbers and JXG.Complex numbers.

Default Value:
  true

{number} real
Real part of the complex number.

Default Value:
  0

Method Detail
{undefined} add(c)
Add another complex number to this complex number.

Parameters:
{JXG.Complex|number} c
  A JavaScript number or a JXG.Complex object to be added to the current object.

{undefined} conj(c)
Conjugate a complex number in place.

Parameters:
c
  A JavaScript number or a JXG.Complex object

{undefined} div(c)
Divide this complex number by the given complex number.

Parameters:
{JXG.Complex|number} c
  A JavaScript number or a JXG.Complex object to divide the current object by.

{undefined} mult(c)
Multiply another complex number to this complex number.

Parameters:
{JXG.Complex|number} c
  A JavaScript number or a JXG.Complex object to multiply with the current object.

{undefined} sub(c)
Subtract another complex number from this complex number.

Parameters:
{JXG.Complex|number} c
  A JavaScript number or a JXG.Complex object to subtract from the current object.

{string} toString()
Converts a complex number into a string.

Returns:
  Formatted string containing the complex number in human readable form (algebraic form).

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:06 GMT+0200 (MESZ)